Debian Bug report logs - #597554
rubygems1.8: gem build on yaml files produces error "uninitialized constant Gem::Specification::YAML"

version graph

Package: rubygems1.8; Maintainer for rubygems1.8 is Daigo Moriwaki <daigo@debian.org>; Source for rubygems1.8 is src:rubygems.

Reported by: Clint Byrum <clint@ubuntu.com>

Date: Mon, 20 Sep 2010 19:03:02 UTC

Severity: normal

Tags: patch, upstream

Found in version libgems-ruby/1.3.7-2

Fixed in version libgems-ruby/1.3.7-3

Done: Clint Byrum <clint@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#597554; Package rubygems1.8. (Mon, 20 Sep 2010 19:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Byrum <clint@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Mon, 20 Sep 2010 19:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Clint Byrum <clint@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: rubygems1.8: gem build on yaml files produces error "uninitialized constant Gem::Specification::YAML"
Date: Mon, 20 Sep 2010 11:58:25 -0700
Package: rubygems1.8
Version: 1.3.7-2
Severity: normal
Tags: upstream


Hello! 

This was originally reported in Ubuntu here:

https://bugs.launchpad.net/ubuntu/+source/libgems-ruby/+bug/643768

Upon trying to build a gem file from a raw yaml specfile,
gem build fails:

clint@debian:~/g$ gem build metadata 
ERROR:  While executing gem ... (NameError)
    uninitialized constant Gem::Specification::YAML

However, if a ~/.gemrc exists, no error is printed:

clint@debian:~/g$ touch ~/.gemrc
clint@debian:~/g$ gem build metadata 
WARNING:  no rubyforge_project specified
WARNING:  description and summary are identical
  Successfully built RubyGem
  Name: piggy
  Version: 0.0.6
  File: piggy-0.0.6.gem

rubygems/specification.rb should explicitly require "yaml"

This was not broken in rubygems 1.3.6, and in fact has been
reported on other OS's too:

http://mail-index.netbsd.org/pkgsrc-bugs/2010/09/13/msg039540.html

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages rubygems1.8 depends on:
ii  ruby1.8 [rdoc1.8]            1.8.7.299-2 Interpreter of object-oriented scr

rubygems1.8 recommends no packages.

Versions of packages rubygems1.8 suggests:
ii  build-essential              11.5        Informational list of build-essent
ii  ruby1.8-dev                  1.8.7.299-2 Header files for compiling extensi
pn  rubygems-doc                 <none>      (no description available)

-- no debconf information





Information forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#597554; Package rubygems1.8. (Mon, 01 Nov 2010 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Mon, 01 Nov 2010 08:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 597554@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Clint Byrum <clint@ubuntu.com>, 597554@bugs.debian.org
Subject: Re: Bug#597554: rubygems1.8: gem build on yaml files produces error "uninitialized constant Gem::Specification::YAML"
Date: Mon, 1 Nov 2010 09:20:45 +0100
On 20/09/10 at 11:58 -0700, Clint Byrum wrote:
> Package: rubygems1.8
> Version: 1.3.7-2
> Severity: normal
> Tags: upstream
> 
> 
> Hello! 
> 
> This was originally reported in Ubuntu here:
> 
> https://bugs.launchpad.net/ubuntu/+source/libgems-ruby/+bug/643768
> 
> Upon trying to build a gem file from a raw yaml specfile,
> gem build fails:
> 
> clint@debian:~/g$ gem build metadata 
> ERROR:  While executing gem ... (NameError)
>     uninitialized constant Gem::Specification::YAML
> 
> However, if a ~/.gemrc exists, no error is printed:
> 
> clint@debian:~/g$ touch ~/.gemrc
> clint@debian:~/g$ gem build metadata 
> WARNING:  no rubyforge_project specified
> WARNING:  description and summary are identical
>   Successfully built RubyGem
>   Name: piggy
>   Version: 0.0.6
>   File: piggy-0.0.6.gem
> 
> rubygems/specification.rb should explicitly require "yaml"
> 
> This was not broken in rubygems 1.3.6, and in fact has been
> reported on other OS's too:
> 
> http://mail-index.netbsd.org/pkgsrc-bugs/2010/09/13/msg039540.html

Hi Clint,

Would you have time to investigate this bug? I'm a bit out of time, but
would like to prepare a last rubygems upload for squeeze fixing at least
this issue.

- Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#597554; Package rubygems1.8. (Mon, 01 Nov 2010 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Byrum <clint@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Mon, 01 Nov 2010 18:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 597554@bugs.debian.org (full text, mbox):

From: Clint Byrum <clint@ubuntu.com>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 597554@bugs.debian.org
Subject: Re: Bug#597554: rubygems1.8: gem build on yaml files produces error "uninitialized constant Gem::Specification::YAML"
Date: Mon, 01 Nov 2010 10:48:01 -0700
On Mon, 2010-11-01 at 09:20 +0100, Lucas Nussbaum wrote:
> On 20/09/10 at 11:58 -0700, Clint Byrum wrote:
> > Package: rubygems1.8
> > Version: 1.3.7-2
> > Severity: normal
> > Tags: upstream
> > 
> > 
> > Hello! 
> > 
> > This was originally reported in Ubuntu here:
> > 
> > https://bugs.launchpad.net/ubuntu/+source/libgems-ruby/+bug/643768
> > 
> > Upon trying to build a gem file from a raw yaml specfile,
> > gem build fails:
> > 
> > clint@debian:~/g$ gem build metadata 
> > ERROR:  While executing gem ... (NameError)
> >     uninitialized constant Gem::Specification::YAML
> > 
> > However, if a ~/.gemrc exists, no error is printed:
> > 
> > clint@debian:~/g$ touch ~/.gemrc
> > clint@debian:~/g$ gem build metadata 
> > WARNING:  no rubyforge_project specified
> > WARNING:  description and summary are identical
> >   Successfully built RubyGem
> >   Name: piggy
> >   Version: 0.0.6
> >   File: piggy-0.0.6.gem
> > 
> > rubygems/specification.rb should explicitly require "yaml"
> > 
> > This was not broken in rubygems 1.3.6, and in fact has been
> > reported on other OS's too:
> > 
> > http://mail-index.netbsd.org/pkgsrc-bugs/2010/09/13/msg039540.html
> 
> Hi Clint,
> 
> Would you have time to investigate this bug? I'm a bit out of time, but
> would like to prepare a last rubygems upload for squeeze fixing at least
> this issue.
> 

Definitely! I'll take a look at it shortly, and I've assigned the Ubuntu
bug item to myself.






Information forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#597554; Package rubygems1.8. (Tue, 02 Nov 2010 22:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Byrum <clint@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Tue, 02 Nov 2010 22:27:10 GMT) Full text and rfc822 format available.

Message #20 received at 597554@bugs.debian.org (full text, mbox):

From: Clint Byrum <clint@ubuntu.com>
To: 597554@bugs.debian.org
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: debdiff fixing the issue
Date: Tue, 02 Nov 2010 15:25:22 -0700
[Message part 1 (text/plain, inline)]
This patch adds the require 'yaml' that solves the issue.
[rubygems_1.3.7-2_to_1.3.7-3.debdiff (text/x-patch, attachment)]

Added tag(s) patch. Request was from clint@fewbar.com (Clint Byrum) to control@bugs.debian.org. (Wed, 03 Nov 2010 01:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#597554; Package rubygems1.8. (Wed, 03 Nov 2010 07:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Wed, 03 Nov 2010 07:03:03 GMT) Full text and rfc822 format available.

Message #27 received at 597554@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Clint Byrum <clint@ubuntu.com>
Cc: 597554@bugs.debian.org
Subject: Re: debdiff fixing the issue
Date: Wed, 3 Nov 2010 07:46:35 +0100
On 02/11/10 at 15:25 -0700, Clint Byrum wrote:
> This patch adds the require 'yaml' that solves the issue.

Great! Could you commit it?
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#597554; Package rubygems1.8. (Wed, 03 Nov 2010 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Byrum <clint@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Wed, 03 Nov 2010 16:33:03 GMT) Full text and rfc822 format available.

Message #32 received at 597554@bugs.debian.org (full text, mbox):

From: Clint Byrum <clint@ubuntu.com>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 597554@bugs.debian.org
Subject: Re: debdiff fixing the issue
Date: Wed, 03 Nov 2010 09:28:40 -0700
On Wed, 2010-11-03 at 07:46 +0100, Lucas Nussbaum wrote:
> On 02/11/10 at 15:25 -0700, Clint Byrum wrote:
> > This patch adds the require 'yaml' that solves the issue.
> 
> Great! Could you commit it?

I have no write access to the pkg-ruby-extras repository. My allioth
username is spamaps-guest.





Information forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#597554; Package rubygems1.8. (Wed, 03 Nov 2010 16:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Wed, 03 Nov 2010 16:39:05 GMT) Full text and rfc822 format available.

Message #37 received at 597554@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Clint Byrum <clint@ubuntu.com>
Cc: 597554@bugs.debian.org
Subject: Re: debdiff fixing the issue
Date: Wed, 3 Nov 2010 17:36:11 +0100
On 03/11/10 at 09:28 -0700, Clint Byrum wrote:
> On Wed, 2010-11-03 at 07:46 +0100, Lucas Nussbaum wrote:
> > On 02/11/10 at 15:25 -0700, Clint Byrum wrote:
> > > This patch adds the require 'yaml' that solves the issue.
> > 
> > Great! Could you commit it?
> 
> I have no write access to the pkg-ruby-extras repository. My allioth
> username is spamaps-guest.

Added to the team. Sorry, I thought you were already a team member.

L.




Information forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#597554; Package rubygems1.8. (Wed, 03 Nov 2010 20:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Byrum <clint@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Wed, 03 Nov 2010 20:18:03 GMT) Full text and rfc822 format available.

Message #42 received at 597554@bugs.debian.org (full text, mbox):

From: Clint Byrum <clint@ubuntu.com>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 597554@bugs.debian.org
Subject: Re: debdiff fixing the issue
Date: Wed, 03 Nov 2010 13:16:16 -0700
On Wed, 2010-11-03 at 17:36 +0100, Lucas Nussbaum wrote:
> On 03/11/10 at 09:28 -0700, Clint Byrum wrote:
> > On Wed, 2010-11-03 at 07:46 +0100, Lucas Nussbaum wrote:
> > > On 02/11/10 at 15:25 -0700, Clint Byrum wrote:
> > > > This patch adds the require 'yaml' that solves the issue.
> > > 
> > > Great! Could you commit it?
> > 
> > I have no write access to the pkg-ruby-extras repository. My allioth
> > username is spamaps-guest.
> 
> Added to the team. Sorry, I thought you were already a team member.
> 

Thanks Lucas, committed as revision 5969






Information forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#597554; Package rubygems1.8. (Thu, 04 Nov 2010 06:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Thu, 04 Nov 2010 06:21:03 GMT) Full text and rfc822 format available.

Message #47 received at 597554@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Clint Byrum <clint@ubuntu.com>
Cc: 597554@bugs.debian.org
Subject: Re: debdiff fixing the issue
Date: Thu, 4 Nov 2010 07:07:25 +0100
On 03/11/10 at 13:16 -0700, Clint Byrum wrote:
> On Wed, 2010-11-03 at 17:36 +0100, Lucas Nussbaum wrote:
> > On 03/11/10 at 09:28 -0700, Clint Byrum wrote:
> > > On Wed, 2010-11-03 at 07:46 +0100, Lucas Nussbaum wrote:
> > > > On 02/11/10 at 15:25 -0700, Clint Byrum wrote:
> > > > > This patch adds the require 'yaml' that solves the issue.
> > > > 
> > > > Great! Could you commit it?
> > > 
> > > I have no write access to the pkg-ruby-extras repository. My allioth
> > > username is spamaps-guest.
> > 
> > Added to the team. Sorry, I thought you were already a team member.
> > 
> 
> Thanks Lucas, committed as revision 5969

Hi,

It looks like you forgot to "svn add".

Are there other things that you would like to see in the package before
an upload (besides the political topic of FHS)?

I'm quite busy with my day job currently, so I don't really have time to
focus on maintaining those packages. But I very much welcome
contributions, and can still make uploads. So don't hesitate to jump in
in Debian or Ubuntu bugs ;)
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#597554; Package rubygems1.8. (Thu, 04 Nov 2010 06:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Byrum <clint@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Thu, 04 Nov 2010 06:36:03 GMT) Full text and rfc822 format available.

Message #52 received at 597554@bugs.debian.org (full text, mbox):

From: Clint Byrum <clint@ubuntu.com>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 597554@bugs.debian.org
Subject: Re: debdiff fixing the issue
Date: Wed, 03 Nov 2010 23:33:23 -0700
On Thu, 2010-11-04 at 07:07 +0100, Lucas Nussbaum wrote:
> On 03/11/10 at 13:16 -0700, Clint Byrum wrote:
> > 
> > Thanks Lucas, committed as revision 5969
> 
> Hi,
> 
> It looks like you forgot to "svn add".
> 

Indeed I did. 5970 has the missing patch.

> Are there other things that you would like to see in the package before
> an upload (besides the political topic of FHS)?
> 

No, this should be plenty.

> I'm quite busy with my day job currently, so I don't really have time to
> focus on maintaining those packages. But I very much welcome
> contributions, and can still make uploads. So don't hesitate to jump in
> in Debian or Ubuntu bugs ;)

Understood. I *should* have time allocated to ruby packaging stuff
during the natty cycle, so expect more to come soon. :)

I've been perusing the squeeze RC bugs list for things I can fix.. I'll
add ruby to my search terms too.





Information forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#597554; Package rubygems1.8. (Thu, 04 Nov 2010 07:51:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Thu, 04 Nov 2010 07:51:27 GMT) Full text and rfc822 format available.

Message #57 received at 597554@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Clint Byrum <clint@ubuntu.com>
Cc: 597554@bugs.debian.org
Subject: Re: debdiff fixing the issue
Date: Thu, 4 Nov 2010 08:40:02 +0100
On 03/11/10 at 23:33 -0700, Clint Byrum wrote:
> On Thu, 2010-11-04 at 07:07 +0100, Lucas Nussbaum wrote:
> > On 03/11/10 at 13:16 -0700, Clint Byrum wrote:
> > > 
> > > Thanks Lucas, committed as revision 5969
> > 
> > Hi,
> > 
> > It looks like you forgot to "svn add".
> > 
> 
> Indeed I did. 5970 has the missing patch.
> 
> > Are there other things that you would like to see in the package before
> > an upload (besides the political topic of FHS)?
> > 
> 
> No, this should be plenty.

Uploaded (after fixing the bug number in the changelog ;) ).

Could you take care of filing the unblock request against
release.debian.org, so it migrates to testing?

- Lucas




Reply sent to Clint Byrum <clint@ubuntu.com>:
You have taken responsibility. (Thu, 04 Nov 2010 07:51:33 GMT) Full text and rfc822 format available.

Notification sent to Clint Byrum <clint@ubuntu.com>:
Bug acknowledged by developer. (Thu, 04 Nov 2010 07:51:33 GMT) Full text and rfc822 format available.

Message #62 received at 597554-close@bugs.debian.org (full text, mbox):

From: Clint Byrum <clint@ubuntu.com>
To: 597554-close@bugs.debian.org
Subject: Bug#597554: fixed in libgems-ruby 1.3.7-3
Date: Thu, 04 Nov 2010 07:47:45 +0000
Source: libgems-ruby
Source-Version: 1.3.7-3

We believe that the bug you reported is fixed in the latest version of
libgems-ruby, which is due to be installed in the Debian FTP archive:

libgems-ruby_1.3.7-3.debian.tar.gz
  to main/libg/libgems-ruby/libgems-ruby_1.3.7-3.debian.tar.gz
libgems-ruby_1.3.7-3.dsc
  to main/libg/libgems-ruby/libgems-ruby_1.3.7-3.dsc
rubygems-doc_1.3.7-3_all.deb
  to main/libg/libgems-ruby/rubygems-doc_1.3.7-3_all.deb
rubygems1.8_1.3.7-3_all.deb
  to main/libg/libgems-ruby/rubygems1.8_1.3.7-3_all.deb
rubygems_1.3.7-3_all.deb
  to main/libg/libgems-ruby/rubygems_1.3.7-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 597554@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Clint Byrum <clint@ubuntu.com> (supplier of updated libgems-ruby package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 03 Nov 2010 13:15:02 -0700
Source: libgems-ruby
Binary: rubygems1.8 rubygems rubygems-doc
Architecture: source all
Version: 1.3.7-3
Distribution: unstable
Urgency: low
Maintainer: Daigo Moriwaki <daigo@debian.org>
Changed-By: Clint Byrum <clint@ubuntu.com>
Description: 
 rubygems   - package management framework for Ruby libraries/applications
 rubygems-doc - package management framework for Ruby libraries/applications
 rubygems1.8 - package management framework for Ruby libraries/applications
Closes: 597554
Changes: 
 libgems-ruby (1.3.7-3) unstable; urgency=low
 .
   [ Lucas Nussbaum ]
   * Team Upload.
   * Recommend libruby1.8-dev and build-essential instead of suggesting them,
     because we have to answer that FAQ too frequently. LP: #244742
 .
   [ Clint Byrum ]
   * debian/patches/50_add_missing_require_yaml.diff require 'yaml' in
     lib/rubygems/specification.rb (Closes: #597554)
Checksums-Sha1: 
 33ee56d720f8bab2c4a0639bcdf7ba941d604bed 1365 libgems-ruby_1.3.7-3.dsc
 db98df6fafcdd10033b2b8191e7b7df6a9750285 13132 libgems-ruby_1.3.7-3.debian.tar.gz
 c4b0543f60ed753f114cabbf16bad770bc522db3 201850 rubygems1.8_1.3.7-3_all.deb
 10fc0dc9f4d044a133471436f463eac704bae319 66722 rubygems_1.3.7-3_all.deb
 83f6e88ee98c75164fe99f2696b73084db9d84fe 328030 rubygems-doc_1.3.7-3_all.deb
Checksums-Sha256: 
 b4a7bcac2ad7fe158e6e27debfa7101eaa6d765b89e006e46f1461e2d564eac4 1365 libgems-ruby_1.3.7-3.dsc
 32d2b699abdc70d8869ee537836ba0367f53e57bafa0aace076f3c4ee96d509d 13132 libgems-ruby_1.3.7-3.debian.tar.gz
 4cace18df9386a77d5fd26dc10a63af24361cdf4ffbaa5f64a0b0e48e312912f 201850 rubygems1.8_1.3.7-3_all.deb
 b3e9c52457c475f50cd97a2d1773db38d7aa52907b9a568af89c3c75e6ea1476 66722 rubygems_1.3.7-3_all.deb
 bb0a51ac64a70b747af75d635e572137fb0e9b09fb4fd07f3a6cb6ce2656f7e7 328030 rubygems-doc_1.3.7-3_all.deb
Files: 
 f4d60f34235be79a1354a7a34267c177 1365 ruby optional libgems-ruby_1.3.7-3.dsc
 b77581ef3eb2115ec7724e0083e21e21 13132 ruby optional libgems-ruby_1.3.7-3.debian.tar.gz
 2824be8a310f87bcbb4e7bc44a109198 201850 ruby optional rubygems1.8_1.3.7-3_all.deb
 94cf1c43bc31a547d7b06efb5fb01804 66722 ruby optional rubygems_1.3.7-3_all.deb
 0354355f1ed88f385dfe3c1a70a73f22 328030 doc optional rubygems-doc_1.3.7-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFM0mLb2hliNwI7P08RAotCAJwO/5Kxw2cCWdLJepjXrM6l0ZCs3ACeN1w0
/wmzf+rjqN82M4fEs9oJCI0=
=vKbB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 Dec 2010 07:32:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:20:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.